FFe: please sync 'thaifonts-scalable' 1:0.4.14-1 from sid->maverick

Bug #637131 reported by Paul Sladen on 2010-09-13
26
This bug affects 3 people
Affects Status Importance Assigned to Milestone
thaifonts-scalable (Ubuntu)
Wishlist
Unassigned
Lucid
Wishlist
Unassigned

Bug Description

New upstream version, primarily bug fix-only release prepared by upstream to cover bug #539008 (prevent all non-plain ASCII working in all Mono WinForms apps owing to overly-broad name space grab) and also bug #434054. Note that there are not separate Upstream/Debian bug reports to link to as upstream have been working closely and directly with the Ubuntu bug reports on Launchpad:

 thaifonts-scalable (1:0.4.14-1) unstable; urgency=low

   * New upstream bugfix release.
     - Fix Tahoma/MS Sans Serif fallback rules to not affect non-Thai
       environments. (LP: #539008), re-addresses (LP: #434054)
     - debian/patches/01_remove_tahoma_fallback.diff: Removed, addressed
       differently upstream.
   * Bump Standards-Version to 3.9.1 (no changes needed)

 -- Theppitak Karoonboonyanan <email address hidden> Fri, 30 Jul 2010 13:25:15 +0700

Paul Sladen (sladen) on 2010-09-13
affects: ubuntu → thaifonts-scalable (Ubuntu)
Changed in thaifonts-scalable (Ubuntu):
status: New → Confirmed
importance: Undecided → Wishlist
milestone: none → ubuntu-10.10
description: updated
Paul Sladen (sladen) on 2010-09-13
description: updated
Paul Sladen (sladen) wrote :

Partial *stripped* ~200 line debdiff attached (note that this is stripped of 20,000 lines of auto-cruft and font metrics churn output where 'debdiff' has basically spewed the whole thing).

Also drops one Debian patch where upstream now provides a better fix.

Paul Sladen (sladen) on 2010-09-13
description: updated
Paul Sladen (sladen) wrote :

ScottK: it's a years-worth of incremental glyph adjustments to the font itself. Since this is a font, the risk introduced (compared to incremental code is low). It would be possible to cherrypick the actual /etc/fonts/ configuration files (with the pattern matching at stake here) if required but there are maintenance advantages to going with the Debian version that there is an active upstream who is engaged and already responsive to the Ubuntu bugs directly.

Upstream changelog from debdiff:

+
+2010-07-29 Theppitak Karoonboonyanan <email address hidden>
+
+ * nf/Garuda-Bold.sfd, nf/Garuda-BoldOblique.sfd: Adjust descenders of
+ p, q, y to match with that of g. Also adjust Thai RU, LU and
+ LAKKHANGYAO accordingly. Update OtherBlues.
+
+2010-07-29 Theppitak Karoonboonyanan <email address hidden>
+
+ * nf/Garuda.sfd: Update OtherBlues. Set date in font version to
+ 2010-07-29.
+ * nf/Garuda-Oblique.sfd: Update BlueValues and OtherBlues.
+ Set date in font version to 2010-07-29.
+
+2010-07-29 Theppitak Karoonboonyanan <email address hidden>
+
+ * nf/Garuda-Bold.sfd: Update BlueValues. Adjust missing glyphs.
+ Set date in font version to 2010-07-29.
+ * nf/Garuda-BoldOblique.sfd: Recreate glyphs from Garuda-Bold.sfd.
+ Bump font version to 2.62:2010-07-29.
+
+2010-07-28 Theppitak Karoonboonyanan <email address hidden>
+
+ * nf/Garuda-Bold.sfd: Adjust HStems & VStems so all stem widths are
+ normalized. Bump font version to 2.62: 2010-07-28.
+
+2010-07-22 Theppitak Karoonboonyanan <email address hidden>
+
+ * nf/Garuda.sfd, nf/Garuda-Oblique.sfd: Adjust HStems & VStems so all
+ stem widths are normalized. Bump font version to 2.62: 2010-07-22.
+
+2010-07-03 Theppitak Karoonboonyanan <email address hidden>
+
+ * fontconfig/89-ttf-thai-tlwg-synthetic.conf: Add back Tahoma/MS Sans
+ Serif fallbacks, with lang protection, so it only falls back on Thai
+ language. See LP #539008.
+
+2010-06-28 Theppitak Karoonboonyanan <email address hidden>
+
+ * configure.in: Change default font installation dirs to
+ PREFIX/share/fonts/{truetype,type1,opentype}/thai.
+
+2010-01-10 Theppitak Karoonboonyanan <email address hidden>
+
+ * fontconfig/89-ttf-thai-tlwg-synthetic.conf: Drop Tahoma/MS Sans
+ Serif fallbacks. The choices were quite arbitrary, and caused
+ undesired side-effect on western users, such as LP #434054.
+
+2009-08-13 Theppitak Karoonboonyanan <email address hidden>
+
+ * tlwg/TlwgTypo*.sfd: Bump font version to 002.008: 2009-08-13.
+ * tlwg/TlwgTypist*.sfd: Bump font version to 001.017: 2009-08-13.
+
+2009-08-09 Theppitak Karoonboonyanan <email address hidden>
+
+ * tlwg/TlwgTypo-Bold*.sfd, tlwg/TlwgTypist-Bold*.sfd:
+ Lift up lower boundary of SO SUA circular hook, to get into blue zone.
+
+2009-08-08 Theppitak Karoonboonyanan <email address hidden>
+
+ * configure.in: Post-release version suffix added.
+
+ * tlwg/TlwgTypo-Bold*.sfd:
+ - Remove outline overlap in CHO CHOE.
+ - Fine-tune descender of YO YING.
+ - Lift up loop part of LO CHULA, to avoid overlap.
+ - Bump font version to 002.007: 2009-08-08.
+
+ * tlwg/TlwgTypist-Bold*.sfd:
+ - Copy glyphs from TlwgTypo-Bold*.
+ - Bump font version to 001.016: 2009-08-08.
+

Scott Kitterman (kitterman) wrote :

Approved. Suscribing the docs team in case this affects any screenshots.

Colin Watson (cjwatson) wrote :

[Updating] thaifonts-scalable (1:0.4.13-4 [Ubuntu] < 1:0.4.14-1 [Debian])
 * Trying to add thaifonts-scalable...
2010-09-14 10:22:16 INFO - <thaifonts-scalable_0.4.14-1.debian.tar.gz: downloading from http://ftp.debian.org/debian/>
2010-09-14 10:22:16 INFO - <thaifonts-scalable_0.4.14-1.dsc: downloading from http://ftp.debian.org/debian/>
2010-09-14 10:22:16 INFO - <thaifonts-scalable_0.4.14.orig.tar.gz: downloading from http://ftp.debian.org/debian/>
I: thaifonts-scalable [main] -> t1-thai-tlwg_1:0.4.13-4 [universe].
I: thaifonts-scalable [main] -> ttf-thai-tlwg_1:0.4.13-4 [main].
I: thaifonts-scalable [main] -> ttf-thai-tlwg-udeb_1:0.4.13-4 [main].
I: thaifonts-scalable [main] -> otf-thai-tlwg_1:0.4.13-4 [universe].

Changed in thaifonts-scalable (Ubuntu):
status: Confirmed → Fix Released
Neil Mayhew (neil.mayhew) wrote :

Any chance of a backport to the LTS release?

Paul Sladen (sladen) on 2010-10-27
Changed in thaifonts-scalable (Ubuntu Lucid):
status: New → Confirmed
importance: Undecided → Wishlist
Colin Watson (cjwatson) wrote :

Somebody other than the archive administration team would need to do the backport, so I'm unsubscribing ubuntu-archive. Feel free to resubscribe us if there's an action to take that falls within our remit.

Scott Kitterman (kitterman) wrote :

This should be done via backports. Please see https://help.ubuntu.com/community/UbuntuBackports for details of the backports process. You'll need to file a bug against the lucid-backports.

Changed in thaifonts-scalable (Ubuntu Lucid):
status: Confirmed → Invalid
Neil Mayhew (neil.mayhew) wrote :

I am using the SRU procedure as that should be attempted first.

The bug impact is stated clearly in the description, when referencing #539008: prevents all non-plain ASCII working in all Mono WinForms apps owing to overly-broad name space grab.

The bug has been addressed upstream and in maverick with 1:0.4.14-1. This involves changes to the font outlines, among other things, so I have created a minimal debdiff which is attached. This creates 1:0.4.13-5 which doesn't conflict with other Ubuntu releases.

TEST CASE: A sample C# program demonstrating the program is included in #539008. This displays a dialog with umlauts, but when the bug is present the umlauts come out as boxes.

I don't see any potential for regression as a result of this change. In fact, I think the newer package from maverick could be backported without regression, but SRU requires a minimal change so this is my attempt to provide it.

I don't see the link for "Nominate for release" but I nominate it for lucid. I will attempt to upload the modified package.

Changed in thaifonts-scalable (Ubuntu Lucid):
status: Invalid → Confirmed
Matthew East (mdke) wrote :

Unsubscribed ubuntu-docs for now as we don't ship screenshots at present.

Neil Mayhew (neil.mayhew) wrote :

For some reason, I'm not able to subscribe ubuntu-sru, only ubtunu-sponsors. (There is no explanation with the error message that I'm given.)

So I'm not able to complete the SRU process, and I really need someone from sponsors to look at the package I uploaded. I'm not 100% sure of what I'm doing so some guidance would be appreciated.

Benjamin Drung (bdrung) wrote :

I uploaded your debdiff with two small changes:
* changed the target series from unstable to lucid-proposed
* changed the version from 1:0.4.13-5 to 1:0.4.13-4ubuntu0.1

Changed in thaifonts-scalable (Ubuntu Lucid):
status: Confirmed → Fix Committed
Neil Mayhew (neil.mayhew) wrote :

Thanks, Benjamin.

So will this new version just show up in Lucid now, or do I have to do something else to get it accepted? I was unable to subscribe ubuntu-sru as I explained above, and this is normally a prerequisite.

Jonathan Riddell (jr) wrote :

Package is in lucid-proposed unapproved queue. Needs review from ubuntu-sru to approve. Bug needs a test case to do verification.

Accepted thaifonts-scalable into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

tags: added: verification-needed
Neil Mayhew (neil.mayhew) wrote :

I tested the new package (1:0.4.13-4ubuntu0.1) against both reported bugs (bug #434054 and bug #539008) using the test cases listed there. No regressions or other problems detected.

Martin Pitt (pitti) on 2010-11-16
tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package thaifonts-scalable - 1:0.4.13-4ubuntu0.1

---------------
thaifonts-scalable (1:0.4.13-4ubuntu0.1) lucid-proposed; urgency=low

  * Bugfix release (LP: #637131)
    - Fix Tahoma/MS Sans Serif fallback rules to not affect non-Thai
      environments. (LP: #539008, re-addresses LP #434054)
    - debian/patches/01_remove_tahoma_fallback.diff: Removed, addressed
      differently.
 -- Neil Mayhew <email address hidden> Mon, 08 Nov 2010 12:48:50 +0100

Changed in thaifonts-scalable (Ubuntu Lucid):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers